package fr.inra.moulon.xhtmlutils;

import java.net.URI;

import fr.inra.moulon.xhtmlutils.XhtmlElementBase;

public class XhtmlAnchor extends XhtmlElementBase {

	public XhtmlAnchor(XhtmlDocument document, URI uri, String content) {
		super(document, "a");
		this.setTextContent(content);
		setHref(uri);
	}

	public void setHref(URI uri) {
		element.setAttributeNS(null, "href", uri.toString());
	}
	
	public void setNewWindows() {
		//onclick="window.open(this.href); return false;"
		element.setAttributeNS(null, "onclick", "window.open(this.href); return false;");
	}

}
